import { OnDestroy, QueryList } from '@angular/core';
import { Subject, Subscription } from 'rxjs';
import { AnchorDirective } from './anchor.directive';
import { AnchorActiveChangeSource, IAnchorBox } from './anchor.type';
import * as i0 from "@angular/core";
export declare class AnchorBoxDirective implements IAnchorBox, OnDestroy {
    isScrollingToTarget: boolean;
    private activeChangeSubject;
    activeChange: import("rxjs").Observable<unknown>;
    sub: Subscription;
    view: {
        top?: number;
        bottom?: number;
    };
    defaultAnchor: string;
    scrollTarget: HTMLElement;
    refreshAnchorMap: Subject<void>;
    anchorMap: {
        [anchor: string]: AnchorDirective;
    };
    _anchorList: QueryList<AnchorDirective>;
    set anchorList(list: QueryList<AnchorDirective>);
    get anchorList(): QueryList<AnchorDirective>;
    forceActiveAnchor(anchorName: string, forceActiveSource?: AnchorActiveChangeSource, deactivateOtherAnchor?: boolean): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnchorBoxDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AnchorBoxDirective, "[dAnchorBox]", never, { "view": "view"; "defaultAnchor": "defaultAnchor"; "scrollTarget": "scrollTarget"; }, {}, ["anchorList"], never, false>;
}
