import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { FullscreenMode } from './fullscreen.type';
import * as i0 from "@angular/core";
export declare class FullscreenComponent implements OnInit, OnDestroy, AfterViewInit {
    private elementRef;
    private doc;
    mode: FullscreenMode;
    zIndex: number;
    /**
     * @deprecated
     */
    target: HTMLElement;
    beforeChange: (isFullscreen: boolean, trigger: string) => boolean | Promise<boolean> | Observable<boolean>;
    fullscreenLaunch: EventEmitter<any>;
    document: Document;
    private currentTarget;
    private isFullscreen;
    constructor(elementRef: ElementRef, doc: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private launchNormalFullscreen;
    private exitNormalFullscreen;
    private launchImmersiveFullScreen;
    private exitImmersiveFullScreen;
    private canChange;
    private beforeChangeCheck;
    private onFullScreenChange;
    handleFullscreen: () => void;
    normalFullscreenCallback(fullscreen: boolean, targetElement: HTMLElement): boolean;
    immersiveFullScreenCallback(fullscreen: boolean, targetElement: HTMLElement): Promise<any>;
    private handleKeyDown;
    private addFullScreenStyle;
    private removeFullScreenStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<FullscreenComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FullscreenComponent, "d-fullscreen", never, { "mode": "mode"; "zIndex": "zIndex"; "target": "target"; "beforeChange": "beforeChange"; }, { "fullscreenLaunch": "fullscreenLaunch"; }, never, ["[fullscreen-launch]", "[fullscreen-target]"], false>;
}
