import { OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { IGradientColor, IProgressItem, ShowContentConfig } from './progress.types';
import * as i0 from "@angular/core";
export declare class ProgressComponent implements OnChanges {
    static ID_SEED: number;
    percentage: number;
    percentageText: string;
    /**
     * @deprecated
     * 用strokeColor替换
     */
    barbgcolor: string;
    strokeColor: string | IGradientColor[];
    /**
     * @deprecated
     * 统一用strokeWidth
     */
    set height(value: any);
    strokeWidth: number;
    /**
     * @deprecated
     * 用type类型替换
     */
    set isCircle(value: boolean);
    type: 'line' | 'circle';
    showContent: boolean | ShowContentConfig;
    multiProgressConfig: IProgressItem[];
    customViewTemplate: TemplateRef<any>;
    id: number;
    pathString: string;
    trailPath: {
        [key: string]: string;
    };
    progressData: IProgressItem[];
    isGradient: boolean;
    showContentConfig: {
        showInnerContent: boolean;
        showOuterContent: boolean;
        showCenterContent: boolean;
    };
    get content(): string;
    get arrayStrokeColor(): IGradientColor[];
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    init(): void;
    setBarInnerText(bar: IProgressItem): string;
    setCircleProgress(): void;
    checkSumOfPercentages(func: Function): void;
    checkStrokeColor(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProgressComponent, "d-progress", never, { "percentage": "percentage"; "percentageText": "percentageText"; "barbgcolor": "barbgcolor"; "strokeColor": "strokeColor"; "height": "height"; "strokeWidth": "strokeWidth"; "isCircle": "isCircle"; "type": "type"; "showContent": "showContent"; "multiProgressConfig": "multiProgressConfig"; }, {}, ["customViewTemplate"], never, false>;
}
