import { InjectionToken } from '@angular/core';
export interface IShowAnimationConfig {
    showAnimation?: boolean;
}
export declare type GlobalConfig = IShowAnimationConfig;
export interface TooltipConfig extends IShowAnimationConfig {
    mouseEnterDelay?: number;
    mouseLeaveDelay?: number;
}
export declare type PanelConfig = IShowAnimationConfig;
export declare type ModalConfig = IShowAnimationConfig;
export declare type DropdownConfig = IShowAnimationConfig;
export declare type AccordionConfig = IShowAnimationConfig;
export declare type TwodatepickerConfig = IShowAnimationConfig;
export declare type PopoverConfig = IShowAnimationConfig;
export declare type SelectConfig = IShowAnimationConfig;
export declare type TreeselectConfig = IShowAnimationConfig;
export declare type PopperConfig = IShowAnimationConfig;
export declare type TreeConfig = IShowAnimationConfig;
export declare type EditableselectConfig = IShowAnimationConfig;
export declare type AutocompleteConfig = IShowAnimationConfig;
export declare type MultiautocompleteConfig = IShowAnimationConfig;
export declare type DatepickerConfig = IShowAnimationConfig;
export declare type CascaderConfig = IShowAnimationConfig;
export declare type TagsinputConfig = IShowAnimationConfig;
export declare type TimepickerConfig = IShowAnimationConfig;
export declare type CheckboxConfig = IShowAnimationConfig;
export interface DevUIGlobalConfig {
    tooltip?: TooltipConfig;
    dropdown?: DropdownConfig;
    accordion?: AccordionConfig;
    popover?: PopoverConfig;
    select?: SelectConfig;
    modal?: ModalConfig;
    treeselect?: TreeselectConfig;
    popper?: PopperConfig;
    tree?: TreeConfig;
    editableselect?: EditableselectConfig;
    autocomplete?: AutocompleteConfig;
    multiautocomplete?: MultiautocompleteConfig;
    datepicker?: DatepickerConfig;
    daterangepicker?: DatepickerConfig;
    datepickerappendtobody?: DatepickerConfig;
    twodatepicker?: DatepickerConfig;
    cascader?: CascaderConfig;
    tagsinput?: TagsinputConfig;
    timepicker?: TimepickerConfig;
    checkbox?: CheckboxConfig;
    checkboxgroup?: CheckboxConfig;
    panel?: PanelConfig;
    global?: GlobalConfig;
}
export declare type DevUIGlobalConfigKey = keyof DevUIGlobalConfig;
export declare type DevUIGlobalInsideConfigKey = keyof DevUIGlobalConfig['global'];
export declare const DevUIGlobalConfigToken: InjectionToken<DevUIGlobalConfig>;
